get
https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderComments
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
GET Work Order Comments
Retrieve work order comment records.
GET /ODataApi/v1/GetWorkOrderCommentsEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderCommentsReplace {sitename} with your MVP One site name.
Available fields
| Field | Data type | Description |
|---|---|---|
WorkOrderID | String | Identifier of the work order associated with the comment. |
Comment | String | Work order comment text. |
Username | String | Username associated with the comment. |
CreatedBy | String | User who created the comment record. |
DateCreated | DateTimeOffset | Date and time the comment record was created. |
EditedBy | String | User who last edited the comment record. |
DateEdited | DateTimeOffset | Date and time the comment record was last edited. |
Example endpoint
GET https://company.mvpplant.com/ODataApi/v1/GetWorkOrderCommentsOptional OData query examples
Return comments for one work order
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderComments?$filter=WorkOrderID eq 'WO-1001'Return selected fields
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderComments?$select=WorkOrderID,Comment,Username,DateCreatedReturn the first 10 comments
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderComments?$top=10Sort comments by creation date
GET https://{sitename}.mvpplant.com/ODataApi/v1/GetWorkOrderComments?$orderby=DateCreated descNotes
- Use single quotes around string values in
$filterexpressions. - OData filter values are case-sensitive.
- Use
$selectto return only the fields your application needs.
